org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

## Class BaseCircuitBreakerOnClass

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClass

All Implemented Interfaces:
  CircuitBreakerLifecycleService

Direct Known Subclasses:
  DerivedCircuitBreakerOnClassNoAnnotationOnOverriddenMethod, DerivedCircuitBreakerOnClassNoRedefinition, DerivedCircuitBreakerOnClassOverrideOnClass, DerivedCircuitBreakerOnClassOverrideOnClassWithOverriddenMethod, DerivedCircuitBreakerOnClassOverrideOnMethod

    @Dependent
     @Typed(value=BaseCircuitBreakerOnClass.class)
     @CircuitBreaker(requestVolumeThreshold=8)
    public class BaseCircuitBreakerOnClass
    extends Object
    implements CircuitBreakerLifecycleService

### Constructor Summary

Constructors
Constructor and Description
`BaseCircuitBreakerOnClass()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `instanceId()`
`void` `service()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseCircuitBreakerOnClass

    public BaseCircuitBreakerOnClass()

### Method Detail

#### instanceId

    public int instanceId()

Specified by:
  `instanceId` in interface `CircuitBreakerLifecycleService`

#### service

    public void service()
                 throws IOException

Specified by:
  `service` in interface `CircuitBreakerLifecycleService`
Throws:
  `IOException`